> ## Documentation Index
> Fetch the complete documentation index at: https://pulze.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Space Member

> Add a member to a Space.



## OpenAPI

````yaml post /v1/apps/{app_id}/members
openapi: 3.1.0
info:
  title: Pulze.ai API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/apps/{app_id}/members:
    post:
      tags:
        - apps
      summary: Add Space Member
      description: Add a member to a Space.
      operationId: add_app_member_v1_apps__app_id__members_post
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: App Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppMemberCreateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppMember'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AppMemberCreateRequest:
      properties:
        permissions:
          items:
            type: string
          type: array
          title: Permissions
        auth0_id:
          type: string
          title: Auth0 Id
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
      type: object
      required:
        - permissions
        - auth0_id
      title: AppMemberCreateRequest
    AppMember:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        app_id:
          type: string
          format: uuid
          title: App Id
        auth0_id:
          type: string
          title: Auth0 Id
        permissions:
          type: string
          title: Permissions
        added_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Added On
      type: object
      required:
        - id
        - app_id
        - auth0_id
        - permissions
      title: AppMember
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````